<android.support.v7.widget.CardView
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:tools="http://schemas.android.com/tools">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#ffffff">

        <ImageView
            android:id="@+id/imageView_baseCard_media"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:adjustViewBounds="true"
            tools:layout_height="200dp"
            tools:src="#33AA99" />

        <TextView
            android:id="@+id/textView_baseCard_primaryText"
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@id/imageView_baseCard_media"
            android:padding="16dp"
            android:textSize="24sp"
            android:textColor="@android:color/primary_text_light"
            tools:visibility="visible"
            tools:text="Title"
            />

        <TextView
            android:id="@+id/textView_baseCard_supportingText"
            android:visibility="gone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/imageView_baseCard_media"
            android:layout_marginBottom="@dimen/card_view_subtext_actions_space"
            android:layout_marginLeft="@dimen/card_view_content_margin_left_right"
            android:layout_marginRight="@dimen/card_view_content_margin_left_right"
            android:layout_marginTop="@dimen/card_view_title_subtext_space"
            android:textColor="@android:color/secondary_text_light"
            android:textSize="@dimen/card_view_supporting_text_size"
            tools:visibility="visible"
            tools:text="This is supporting text. Hello! Taiwan number 1! Test Test Test Test. To be or not to be, it's a question. Try to line 3."/>

        <Button
            android:id="@+id/button_baseCard_action1"
            style="@style/CardFlatButton"
            android:visibility="gone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/textView_baseCard_supportingText"
            android:layout_marginLeft="@dimen/card_view_actions_margin"
            android:layout_marginTop="@dimen/card_view_actions_margin"
            android:layout_marginBottom="@dimen/card_view_actions_margin"
            android:textColor="?attr/colorAccent"
            tools:text="action1"
            tools:visibility="visible"/>

        <Button
            android:id="@+id/button_baseCard_action2"
            style="@style/CardFlatButton"
            android:visibility="gone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/textView_baseCard_supportingText"
            android:layout_toRightOf="@id/button_baseCard_action1"
            android:layout_marginLeft="@dimen/card_view_actions_margin"
            android:layout_marginTop="@dimen/card_view_actions_margin"
            android:layout_marginBottom="@dimen/card_view_actions_margin"
            android:textColor="?attr/colorAccent"
            tools:text="action2"
            tools:visibility="visible"/>

        <Button
            android:id="@+id/button_baseCard_action3"
            style="@style/CardFlatButton"
            android:visibility="gone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/textView_baseCard_supportingText"
            android:layout_toRightOf="@id/button_baseCard_action2"
            android:layout_marginLeft="@dimen/card_view_actions_margin"
            android:layout_marginTop="@dimen/card_view_actions_margin"
            android:layout_marginBottom="@dimen/card_view_actions_margin"
            android:textColor="?attr/colorAccent"
            tools:text="action3"
            tools:visibility="visible"/>
    </RelativeLayout>
</android.support.v7.widget.CardView>
